data_ide = load('data_ide')  

%%

cas = data_ide.data_ide.X;
signals = data_ide.data_ide.Y;

pwm = signals(1,4);
poloha_cidlo = signals(1,1);
poloha_lem = signals(1,2);
proud = signals(1,3);

cas = cas.Data(1,1:64000); 
pwm = pwm.Data(1,1:64000);
poloha_cidlo = poloha_cidlo.Data(1,1:64000);
poloha_lem = poloha_lem.Data(1,1:64000);
proud = proud.Data(1,1:64000);


figure(1)
subplot(3,1,1)
plot(cas,pwm)
title('Prubeh stridy','FontSize',16)
xlabel('Cas[s]','FontSize',16)
ylabel('Strida[-]','FontSize',16)
grid

subplot(3,1,2)
plot(cas,proud)
title('Prubeh proudud na stride a poloze','FontSize',16)
xlabel('Cas[s]','FontSize',16)
ylabel('Proud[A]','FontSize',16)
grid

subplot(3,1,3)
hold on
plot(cas,poloha_cidlo)
plot(cas,poloha_lem)
hold off
title('Prubeh polohy','FontSize',16)
xlabel('Cas[s]','FontSize',16)
ylabel('Poloha[mm]','FontSize',16)
grid

%%
feed = load('feed')  
cas = feed.feed.X;
signals = feed.feed.Y;
pwm_feed = signals(1,1);
poloha_cidlo = signals(1,2);
poloha_lem = signals(1,3);
zadana_poloha = signals(1,4);
proud = signals(1,5);

cas = cas.Data(1,1:15700); 
pwm_feed = pwm_feed.Data(1,1:15700);
poloha_cidlo = poloha_cidlo.Data(1,1:15700);
poloha_lem = poloha_lem.Data(1,1:15700);
zadana_poloha = zadana_poloha.Data(1,1:15700);
proud = proud.Data(1,1:15700);

figure(2)
subplot(3,1,1)
plot(cas,proud)
title('Prubeh proudu Feedforward Control(PID)','FontSize',16)
xlabel('Cas[s]','FontSize',16)
ylabel('Proud [A]','FontSize',16)
grid
plot(cas,pwm_feed)
title('Prubeh stridy pro Feedforward','FontSize',16)
xlabel('Cas[s]','FontSize',16)
ylabel('Strida[-]','FontSize',16)
grid

subplot(3,1,2)
plot(cas,proud)
title('Prubeh proudu','FontSize',16)
xlabel('Cas[s]','FontSize',16)
ylabel('Proud [A]','FontSize',16)
grid

subplot(3,1,3)
plot(cas,proud)
title('Prubeh proudu Feedforward Control(PID)','FontSize',16)
xlabel('Cas[s]','FontSize',16)
ylabel('Proud [A]','FontSize',16)
grid
plot(cas,poloha_cidlo)
title('Feedforward Control','FontSize',16)
xlabel('Cas[s]','FontSize',16)
ylabel('Poloha [mm]','FontSize',16)
hold on

plot(cas,poloha_lem)
grid

plot(cas,zadana_poloha)
hold off



%%
pid_feed = load('pid_feed.mat')  

cas = pid_feed.pid_feed.X;
signals = pid_feed.pid_feed.Y;

pwm_feed = signals(1,1);
poloha_cidlo = signals(1,2);
poloha_lem = signals(1,3);
zadana_poloha = signals(1,4);
proud = signals(1,5);


cas = cas.Data(1,1:15700); 
pwm_feed = pwm_feed.Data(1,1:15700);
poloha_cidlo = poloha_cidlo.Data(1,1:15700);
poloha_lem = poloha_lem.Data(1,1:15700);
zadana_poloha = zadana_poloha.Data(1,1:15700);
proud = proud.Data(1,1:15700);

figure(3)
subplot(3,1,1)
plot(cas,pwm_feed)
title('Prubeh stridy pro Feedback Control(PID)','FontSize',16)
xlabel('Cas[s]','FontSize',16)
ylabel('Strida[-]','FontSize',16)
grid

subplot(3,1,2)
plot(cas,proud)
title('Prubeh proudu Feedforward Control(PID)','FontSize',16)
xlabel('Cas[s]','FontSize',16)
ylabel('Proud [A]','FontSize',16)
grid

subplot(3,1,3)
plot(cas,poloha_cidlo)
title('Feedforward Control(PID)','FontSize',16)
xlabel('Cas[s]','FontSize',16)
ylabel('Poloha [mm]','FontSize',16)
hold on

plot(cas,poloha_lem)
grid

plot(cas,zadana_poloha)
hold off


%%
pid = load('pid')  

cas = pid.pid.X;
signals = pid.pid.Y;

pwm_feed = signals(1,1);
poloha_cidlo = signals(1,2);
poloha_lem = signals(1,3);
zadana_poloha = signals(1,4);
proud = signals(1,5);


cas = cas.Data(1,1:15700); 
pwm_feed = pwm_feed.Data(1,1:15700);
poloha_cidlo = poloha_cidlo.Data(1,1:15700);
poloha_lem = poloha_lem.Data(1,1:15700);
zadana_poloha = zadana_poloha.Data(1,1:15700);
proud = proud.Data(1,1:15700);

figure(4)
subplot(3,1,1)
plot(cas,pwm_feed)
title('Prubeh stridy pro PID','FontSize',16)
xlabel('Cas[s]','FontSize',16)
ylabel('Strida[-]','FontSize',16)
grid

subplot(3,1,2)
plot(cas,proud)
title('Prubeh proudu','FontSize',16)
xlabel('Cas[s]','FontSize',16)
ylabel('Proud [A]','FontSize',16)
grid

subplot(3,1,3)
plot(cas,poloha_cidlo)
title('PID','FontSize',16)
xlabel('Cas[s]','FontSize',16)
ylabel('Poloha [mm]','FontSize',16)
hold on

plot(cas,poloha_lem)
grid

plot(cas,zadana_poloha)
hold off

%%
% feed = load('feed')  
% 
% figure(1)
% cas = feed.feed.X;
% signals = feed.feed.Y;
% pwm_feed = signals(1,1);
% poloha_cidlo = signals(1,2);
% poloha_lem = signals(1,3);
% zadana_poloha = signals(1,4);
% proud = signals(1,5);
% 
% cas = cas.Data(1,1:15700); 
% pwm_feed = pwm_feed.Data(1,1:15700);
% poloha_cidlo = poloha_cidlo.Data(1,1:15700);
% poloha_lem = poloha_lem.Data(1,1:15700);
% zadana_poloha = zadana_poloha.Data(1,1:15700);
% proud = proud.Data(1,1:15700);
% 
% 
% plot(cas,pwm_feed)
% title('Prubeh stridy pro Feedforward','FontSize',16)
% xlabel('Cas[s]','FontSize',16)
% ylabel('Strida[-]','FontSize',16)
% grid
% 
% figure(2)
% plot(cas,poloha_cidlo)
% title('Feedforward Control','FontSize',16)
% xlabel('Cas[s]','FontSize',16)
% ylabel('Poloha [mm]','FontSize',16)
% hold on
% 
% plot(cas,poloha_lem)
% grid
% 
% plot(cas,zadana_poloha)
% hold off
%  
% figure(3)
% plot(cas,proud)
% title('Prubeh proudu','FontSize',16)
% xlabel('Cas[s]','FontSize',16)
% ylabel('Proud [A]','FontSize',16)
% grid
% 
% %%
% pid_feed = load('pid_feed.mat')  
% 
% %%
% figure(4)
% cas = pid_feed.pid_feed.X;
% signals = pid_feed.pid_feed.Y;
% 
% pwm_feed = signals(1,1);
% poloha_cidlo = signals(1,2);
% poloha_lem = signals(1,3);
% zadana_poloha = signals(1,4);
% proud = signals(1,5);
% 
% 
% cas = cas.Data(1,1:15700); 
% pwm_feed = pwm_feed.Data(1,1:15700);
% poloha_cidlo = poloha_cidlo.Data(1,1:15700);
% poloha_lem = poloha_lem.Data(1,1:15700);
% zadana_poloha = zadana_poloha.Data(1,1:15700);
% proud = proud.Data(1,1:15700);
% 
% 
% plot(cas,pwm_feed)
% title('Prubeh stridy pro Feedback Control(PID)','FontSize',16)
% xlabel('Cas[s]','FontSize',16)
% ylabel('Strida[-]','FontSize',16)
% grid
% 
% figure(5)
% plot(cas,poloha_cidlo)
% title('Feedforward Control(PID)','FontSize',16)
% xlabel('Cas[s]','FontSize',16)
% ylabel('Poloha [mm]','FontSize',16)
% hold on
% 
% plot(cas,poloha_lem)
% grid
% 
% plot(cas,zadana_poloha)
% hold off
%  
% figure(6)
% plot(cas,proud)
% title('Prubeh proudu Feedforward Control(PID)','FontSize',16)
% xlabel('Cas[s]','FontSize',16)
% ylabel('Proud [A]','FontSize',16)
% grid
% 
% %%
% pid = load('pid')  
% 
% %%
% figure(7)
% cas = pid.pid.X;
% signals = pid.pid.Y;
% 
% pwm_feed = signals(1,1);
% poloha_cidlo = signals(1,2);
% poloha_lem = signals(1,3);
% zadana_poloha = signals(1,4);
% proud = signals(1,5);
% 
% 
% cas = cas.Data(1,1:15700); 
% pwm_feed = pwm_feed.Data(1,1:15700);
% poloha_cidlo = poloha_cidlo.Data(1,1:15700);
% poloha_lem = poloha_lem.Data(1,1:15700);
% zadana_poloha = zadana_poloha.Data(1,1:15700);
% proud = proud.Data(1,1:15700);
% 
% 
% plot(cas,pwm_feed)
% title('Prubeh stridy pro PID','FontSize',16)
% xlabel('Cas[s]','FontSize',16)
% ylabel('Strida[-]','FontSize',16)
% grid
% 
% figure(8)
% plot(cas,poloha_cidlo)
% title('PID','FontSize',16)
% xlabel('Cas[s]','FontSize',16)
% ylabel('Poloha [mm]','FontSize',16)
% hold on
% 
% plot(cas,poloha_lem)
% grid
% 
% plot(cas,zadana_poloha)
% hold off
%  
% figure(9)
% plot(cas,proud)
% title('Prubeh proudu','FontSize',16)
% xlabel('Cas[s]','FontSize',16)
% ylabel('Proud [A]','FontSize',16)
% grid
% 
% 
% 
% 
% 
% 
